var code = "MF30";
var fShare = 0; 


$(document).ready(function(){

 

// facebook Share dialogue

function fShareAction(callingBack){
  if(FBisLoaded){ 
    
    FB.ui(
    {
      method: 'share',
      href: 'www.epilacia.ge/MF30/?utm_source=FB_Share&utm_medium=Share&utm_term=Shared&utm_campaign=MF30', 
    },
    
    function(response) {
      if (response && !response.error_code) {
        callingBack();
      } 
    }
    
    );
    
  } else { 
    console.log("not loeaded yet");
  }
}





// Load Facebook conversion library

(function() {
  var _fbq = window._fbq || (window._fbq = []);
  if (!_fbq.loaded) {
    var fbds = document.createElement('script');
    fbds.async = true;
    fbds.src = '//connect.facebook.net/en_US/fbds.js';
    var s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(fbds, s);
    _fbq.loaded = true;
  }
})();




function shareCommon(){
  fShare = 1;
  ga('send', 'event', 'TopShare', 'ShareFB' ); 
  code += Math.round(Math.random()*10000);
  
}








// This function is called when the form is submited, it stores Metainfo in hidden field #dondraper

function metaInfo(){

  var metaInfo;
  if(fShare){
    metaInfo = "shared";
  } else {
    metaInfo = "notshared";
  }

  metaInfo += " "+ code;  

  if(getUrlParameter('utm_medium') == "V22_Impr" || getUrlParameter('utm_medium') == "V12_UqReach"){
    metaInfo += " +VIP";
  } else {
    metaInfo += " -";
  }
  $('#dondraper').val(metaInfo);
}




// Function submits the form

function finalSubmit(){

  metaInfo();

  $( "#submited" ).fadeIn( "slow", function() {
      // Animation complete
    });

  $.post($(".form-inline").attr('action'), $(".form-inline").serialize(), function(response){
          // do something here on success
        },'json');

      // Google analytics
      ga('send', 'event', 'SMS', 'Sent' );
      
      
      
  // Facebook conversion
  window._fbq = window._fbq || [];
  window._fbq.push(['track', '6023087341511', {'value':'0.01','currency':'USD'}]);
  
  $('.form-control').val(''); 
  
  //Hide Form after submit trickery
  $('.form-inline').hide();  
  
  setTimeout(function(){ 
    $('.form-inline').show();
    $('#submited').hide();   
  
   }, 10000);
  
  
  // Google conversion
      goog_report_conversion();

}


// Function to parse URL

function getUrlParameter(sParam)
{
  var sPageURL = window.location.search.substring(1);
  var sURLVariables = sPageURL.split('&');
  for (var i = 0; i < sURLVariables.length; i++) 
  {
    var sParameterName = sURLVariables[i].split('=');
    if (sParameterName[0] == sParam) 
    {
      return sParameterName[1];
    }
  }
}  




// Click on share in the table event

$('.sharef').on('click', function() {
  
  
  
  fShareAction(function(){
    
    shareCommon();
    $("#gutj").html( "გმადლობთ, <br /> თქვენი ფასდაკლების კოდი:<br /> <b style='font-size:15px'>"+code+"</b>" );
    $( "#ukve" ).fadeIn( "slow", function() {
      // Animation complete
    }); 
  });
  
});




// Click on submit button event

$('form').submit(function(event){
 
  $( "#phoneError" ).hide();
  $( "#submited" ).hide();



  var word = $('#exampleInputEmail2').val();
  var length1 = word.length;
  var ult = "";
  var Suck = false;

  for (i = 0; i < length1; i++) {

    if((word.charAt(i).charCodeAt(0) < 48 || word.charAt(i).charCodeAt(0) > 57) && word.charAt(i).charCodeAt(0) != 32 && word.charAt(i).charCodeAt(0) != 45 && word.charAt(i).charCodeAt(0) != 46) {
      Suck = true;
      break;
    }
    
    if(word.charAt(i).charCodeAt(0) >= 48 && word.charAt(i).charCodeAt(0) <= 57){
      
     ult += word.charAt(i);
     
   }
   
 }

 if (ult.length == 9 && ult.charAt(0) == "5" && !Suck){


  $('#exampleInputEmail2').val(ult); 


  if(fShare == 0){
   
   bootbox.dialog({
    message: "შეგიძლიათ გააზიაროთ და მიიღოთ კდიევ უფრო დიდი ფასდაკლების კოდი ან აირჩიეთ 'სტანდარტული ფასდაკლება' ჩვეულებრივი კოდის მისაღებად:",
    title: "თქვენ არ გაგიზიარებიათ გვერდი",
    buttons: {
      
      danger: {
        label: "SMS სტანდარტული ფასდაკლება",
        className: "btn-danger",
        callback: function() {
         
         finalSubmit();
         
       }
     },
     main: {
      label: "გაზიარება და დამატებითი SMS ფასდაკლების მიღება",
      className: "btn-primary",
      callback: function() {
        
        fShareAction(function(){
          shareCommon();
          finalSubmit();
          
        });
        
      }
     }
    }
 });

 } else {
   
   
  finalSubmit();

  }  


  } else {
    $( "#phoneError" ).fadeIn( "slow", function() {
    // Animation complete
  });  
  ga('send', 'event', 'SMS', 'NotSent' );

  }


  // To prevent jumping to the new page
  event.preventDefault();
});







});